package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag195;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT195Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT195Creator mt195Creator;

    public Tag21Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt195Creator = (MT195Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag21Value = mt195Creator.getRelatedReference();
        mt195Creator.set("21", tag21Value);
    }
}
